class Car {
  _color: string
  static count: number = 0

  static get countCars() {
    return Car.count;
  }
  
  constructor(public miles: number) {
    this._color = 'Black';
    Car.count++;
  }
  
  get color() : string {
    return this._color;
  }
  
  set color(value: string) {
    if(value == 'Orange')
      throw "oh, no way, not orange";
    this._color = value;
  }
}

let car = new Car(10);

let car2 = new Car(0);

console.log(Car.countCars);