function greet(name: string, 
    callback: (string) => string) {
      console.log(callback('hello ' + name));
}

greet('Bob', function(msg) {
  console.log(msg);
  return 'back at you!';
});

//better not to write multiline lambda, keep them small and cute.
greet('Sara', msg => {
  console.log(msg);
  return 'back at you too!'
});